#!/bin/bash

if [[ $# -ne 2 ]]; then
  echo "usage: bootstrap-node.sh <ddns-key> <interface>"
  exit 1;
fi

ddns_key=$1
ifx=$2
me=`hostname`

dnf install -y bind-utils

myip=`ip -o -4 addr show dev $ifx | cut -d ' ' -f 7 | cut -f 1 -d '/' | head -n 1`
raddr=`echo $myip | awk -F. '{print $4"."$3"."$2"."$1}'`

cat <<EOF > /tmp/nsdata
server ns0.portal.{{ domain }}
zone portal.{{ domain }}

update delete $me.portal.{{ domain }}. A
update add $me.portal.{{ domain }}. 86400 A $myip

zone {{ (proxy.internal.network | ipaddr('revdns'))[2:] }}
update delete $raddr.in-addr.arpa. PTR
update add $raddr.in-addr.arpa. 86400 PTR $me.portal.{{ domain }}.

show
send
EOF

nsupdate -k $ddns_key /tmp/nsdata
